Index: src/Clients/Angular/finki-chattery/package-lock.json
===================================================================
--- src/Clients/Angular/finki-chattery/package-lock.json	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/package-lock.json	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -1746,19 +1746,4 @@
       }
     },
-    "@tinymce/tinymce-angular": {
-      "version": "4.0.0",
-      "resolved": "https://registry.npmjs.org/@tinymce/tinymce-angular/-/tinymce-angular-4.0.0.tgz",
-      "integrity": "sha512-CmsKournkWWK5O7d8qgZQPvRC76z36GjeD3ZAHZEY/kUXKWAIXfbrHxxgQq9m7+wlfZq9QNgRx5ufN9y9N46DQ==",
-      "requires": {
-        "tslib": "^1.10.0"
-      },
-      "dependencies": {
-        "tslib": {
-          "version": "1.14.1",
-          "resolved": "https://registry.npmjs.org/tslib/-/tslib-1.14.1.tgz",
-          "integrity": "sha512-Xni35NKzjgMrwevysHTCArtLDpPvye8zV/0E4EyYn43P7/7qvQwPh9BGkHewbMulVntbigmcT7rdX3BNo9wRJg=="
-        }
-      }
-    },
     "@types/glob": {
       "version": "7.1.3",
Index: src/Clients/Angular/finki-chattery/package.json
===================================================================
--- src/Clients/Angular/finki-chattery/package.json	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/package.json	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -29,5 +29,4 @@
     "@ngrx/store-devtools": "^11.0.1",
     "@ngx-translate/core": "^13.0.0",
-    "@tinymce/tinymce-angular": "^4.0.0",
     "moment": "^2.29.1",
     "ng2-file-upload": "^1.4.0",
Index: src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -6,17 +6,11 @@
 const routes: Routes = [
   {
+    path: 'auth-callback',
+    component: AuthCallbackComponent
+  },
+  {
     path: 'questioning',
     canActivate: [AuthorizedGuard],
     loadChildren: () => import('./modules/questioning/questioning.module').then((x) => x.QuestioningModule)
-  },
-  {
-    path: 'auth-callback',
-    pathMatch: 'full',
-    component: AuthCallbackComponent
-  },
-  {
-    path: '',
-    pathMatch: 'full',
-    redirectTo: 'questioning/preview'
   },
   {
Index: src/Clients/Angular/finki-chattery/src/app/core/core.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/core.module.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/core/core.module.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -9,4 +9,5 @@
 import { SharedMaterialModule } from '../shared-material/shared-material.module';
 import { COMPONENTS } from './components/components';
+import { GUARDS } from './guards/guards';
 import { LoaderInterceptor } from './interceptors/loader.interceptor';
 import { reducers } from './state';
@@ -19,4 +20,5 @@
   declarations: [COMPONENTS],
   providers: [
+    GUARDS,
     { provide: HTTP_INTERCEPTORS, useClass: LoaderInterceptor, multi: true },
     { provide: HTTP_INTERCEPTORS, useClass: TokenInterceptor, multi: true }
Index: c/Clients/Angular/finki-chattery/src/app/core/guards/authorized-student.guard.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/guards/authorized-student.guard.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,14 +1,0 @@
-import { Injectable } from '@angular/core';
-import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
-import { AuthService } from '../services';
-
-@Injectable({
-  providedIn: 'root'
-})
-export class AuthorizedStudentGuard implements CanActivate {
-  constructor(private auth: AuthService) {}
-
-  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
-    return this.auth.isStudent();
-  }
-}
Index: src/Clients/Angular/finki-chattery/src/app/core/guards/guards.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/guards/guards.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
+++ src/Clients/Angular/finki-chattery/src/app/core/guards/guards.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -0,0 +1,1 @@
+export const GUARDS: any[] = [];
Index: src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -1,8 +1,8 @@
 import { Injectable } from '@angular/core';
-import { User, UserManager, WebStorageStateStore } from 'oidc-client';
+import { User, UserManager } from 'oidc-client';
 import { Observable, of } from 'rxjs';
 
 import { environment } from '@env/environment';
-import { ApplicationUser, ApplicationUserType, SelfUserResponse } from 'src/app/shared-app/models';
+import { ApplicationUser, SelfUserResponse } from 'src/app/shared-app/models';
 import { BaseApiService } from 'src/app/shared-app/services/base-api.service';
 
@@ -17,8 +17,5 @@
     response_type: 'id_token token',
     scope: 'openid app.api.finki-chattery profile',
-    post_logout_redirect_uri: window.location.origin,
-    filterProtocolClaims: true,
-    loadUserInfo: true,
-    userStore: new WebStorageStateStore({ store: window.localStorage })
+    post_logout_redirect_uri: window.location.origin
   });
 
@@ -26,16 +23,5 @@
   public oidcUser: User | null = null;
 
-  constructor(private baseApi: BaseApiService) {
-    this.userManager.getUser().then((user) => {
-      this.oidcUser = user;
-      this.user = new ApplicationUser(
-        user?.profile.id,
-        user?.profile.userType,
-        user?.profile.emailAddress,
-        user?.profile.username,
-        user?.profile.isVerified
-      );
-    });
-  }
+  constructor(private baseApi: BaseApiService) {}
 
   public login(): void {
@@ -52,8 +38,4 @@
     }
     return false;
-  }
-
-  public isStudent(): boolean {
-    return this.user?.userType === ApplicationUserType.Student;
   }
 
Index: c/Clients/Angular/finki-chattery/src/app/modules/questioning/components/ask-question/ask-question.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/ask-question/ask-question.component.html	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,1 +1,0 @@
-<app-ask-question-shared (askQuestion)="askQuestionAsStudent($event)"></app-ask-question-shared>
Index: c/Clients/Angular/finki-chattery/src/app/modules/questioning/components/ask-question/ask-question.component.spec.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/ask-question/ask-question.component.spec.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,25 +1,0 @@
-import { ComponentFixture, TestBed } from '@angular/core/testing';
-
-import { AskQuestionComponent } from './ask-question.component';
-
-describe('AskQuestionComponent', () => {
-  let component: AskQuestionComponent;
-  let fixture: ComponentFixture<AskQuestionComponent>;
-
-  beforeEach(async () => {
-    await TestBed.configureTestingModule({
-      declarations: [ AskQuestionComponent ]
-    })
-    .compileComponents();
-  });
-
-  beforeEach(() => {
-    fixture = TestBed.createComponent(AskQuestionComponent);
-    component = fixture.componentInstance;
-    fixture.detectChanges();
-  });
-
-  it('should create', () => {
-    expect(component).toBeTruthy();
-  });
-});
Index: c/Clients/Angular/finki-chattery/src/app/modules/questioning/components/ask-question/ask-question.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/ask-question/ask-question.component.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,22 +1,0 @@
-import { Component, OnInit } from '@angular/core';
-import { Router } from '@angular/router';
-
-import { AskQuestionRequest } from 'src/app/shared-app/models';
-import { QuestioningApiService } from '../../services/questioning-api.service';
-
-@Component({
-  selector: 'app-ask-question',
-  templateUrl: './ask-question.component.html',
-  styleUrls: ['./ask-question.component.scss']
-})
-export class AskQuestionComponent implements OnInit {
-  constructor(private api: QuestioningApiService, private router: Router) {}
-
-  ngOnInit(): void {}
-
-  public askQuestionAsStudent(body: AskQuestionRequest): void {
-    this.api.askQuestion(body).subscribe((questionUid) => {
-      this.router.navigateByUrl(`questioning/${questionUid}`);
-    });
-  }
-}
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-components.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-components.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-components.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -3,5 +3,4 @@
 import { QuestionsPreviewGeneralComponent } from './questions-preview-general/questions-preview-general.component';
 import { QuestionsSearchComponent } from './questions-search/questions-search.component';
-import { AskQuestionComponent } from './ask-question/ask-question.component';
 
 export const QUESTIONING_COMPONENTS: any[] = [
@@ -9,5 +8,4 @@
   QuestionsPreviewGeneralComponent,
   QuestioningGeneralComponent,
-  QuestionsSearchComponent,
-  AskQuestionComponent
+  QuestionsSearchComponent
 ];
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-general/questioning-general.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-general/questioning-general.component.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questioning-general/questioning-general.component.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -1,4 +1,3 @@
 import { Component, OnInit } from '@angular/core';
-import { CategoryFacadeService } from 'src/app/core/state/category-facade.service';
 
 @Component({
@@ -8,8 +7,6 @@
 })
 export class QuestioningGeneralComponent implements OnInit {
-  constructor(private categoriesFacade: CategoryFacadeService) {}
+  constructor() {}
 
-  ngOnInit(): void {
-    this.categoriesFacade.fetchCategories();
-  }
+  ngOnInit(): void {}
 }
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -17,7 +17,8 @@
   questionsSortByForm = new FormControl(PreviewQuestionsOrderEnum.Latest);
 
-  constructor(private questionFacade: QuestionFacadeService, private router: Router) {}
+  constructor(private categoriesFacade: CategoryFacadeService, private questionFacade: QuestionFacadeService, private router: Router) {}
 
   ngOnInit(): void {
+    this.categoriesFacade.fetchCategories();
     this.questionFacade.fetchPreviewQuestions(PreviewQuestionsOrderEnum.Latest);
     this.questionsSortByForm.valueChanges.subscribe((value: PreviewQuestionsOrderEnum) => {
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/questioning.routes.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -5,6 +5,4 @@
 import { QuestionsPreviewGeneralComponent } from './components/questions-preview-general/questions-preview-general.component';
 import { QuestionsSearchComponent } from './components/questions-search/questions-search.component';
-import { AuthorizedStudentGuard } from 'src/app/core/guards/authorized-student.guard';
-import { AskQuestionComponent } from './components/ask-question/ask-question.component';
 
 const routes: Routes = [
@@ -24,10 +22,4 @@
       },
       {
-        path: 'ask',
-        pathMatch: 'full',
-        component: AskQuestionComponent,
-        canActivate: [AuthorizedStudentGuard]
-      },
-      {
         path: ':questionUid',
         component: QuestionPreviewGeneralComponent
Index: c/Clients/Angular/finki-chattery/src/app/modules/questioning/services/questioning-api.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/services/questioning-api.service.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,18 +1,0 @@
-import { HttpClient } from '@angular/common/http';
-import { Injectable } from '@angular/core';
-import { Observable } from 'rxjs';
-import { AskQuestionRequest } from 'src/app/shared-app/models';
-import { BaseApiService } from 'src/app/shared-app/services/base-api.service';
-
-@Injectable({
-  providedIn: 'root'
-})
-export class QuestioningApiService extends BaseApiService {
-  constructor(protected http: HttpClient) {
-    super(http);
-  }
-
-  askQuestion(body: AskQuestionRequest): Observable<string> {
-    return this.post('v1/questions', body);
-  }
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/components.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/components.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/components.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -4,5 +4,4 @@
 import { HeaderComponent } from './generic/header/header.component';
 import { VoteComponent } from './generic/vote/vote.component';
-import { AskQuestionSharedComponent } from './question/ask-question-shared/ask-question-shared.component';
 import { PreviewQuestionDisplayComponent } from './question/preview-question-display/preview-question-display.component';
 import { QuestionPreviewComponent } from './question/question-preview/question-preview.component';
@@ -19,5 +18,4 @@
   HeaderComponent,
   SearchQuestionComponent,
-  PreviewQuestionDisplayComponent,
-  AskQuestionSharedComponent
+  PreviewQuestionDisplayComponent
 ];
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -2,9 +2,4 @@
   <span>FinkiChattery</span>
   <span class="right"></span>
-  <app-button class="margin-y-xs" *ngIf="auth.isStudent()" (action)="askQuestion()" [buttonType]="ButtonType.CallToAction">{{
-    'header-ask-question' | translate
-  }}</app-button>
-  <app-button class="margin-y-xs" *ngIf="auth.isLoggedIn()" (action)="logout()" [buttonType]="ButtonType.Basic">{{
-    'header-logout' | translate
-  }}</app-button>
+  <app-button *ngIf="auth.isLoggedIn()" (action)="logout()" [buttonType]="ButtonType.CallToAction">Logout</app-button>
 </mat-toolbar>
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -1,4 +1,3 @@
 import { Component, OnInit } from '@angular/core';
-import { Router } from '@angular/router';
 import { AuthService } from 'src/app/core/services';
 import { ButtonType } from '../button/button.models';
@@ -12,5 +11,5 @@
   ButtonType = ButtonType;
 
-  constructor(public auth: AuthService, private router: Router) {}
+  constructor(public auth: AuthService) {}
 
   ngOnInit(): void {}
@@ -19,7 +18,3 @@
     this.auth.logout();
   }
-
-  askQuestion(): void {
-    this.router.navigateByUrl('questioning/ask');
-  }
 }
Index: c/Clients/Angular/finki-chattery/src/app/shared-app/components/question/ask-question-shared/ask-question-shared.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/ask-question-shared/ask-question-shared.component.html	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<form [formGroup]="questionFormGroup">
-  <mat-form-field class="full-width margin-bottom-sm" appearance="fill" appHandleInputFormErrors>
-    <mat-label>{{ 'ask-question-question-title' | translate }}</mat-label>
-    <input matInput [formControl]="titleForm" />
-  </mat-form-field>
-
-  <editor
-    matInput
-    class="margin-bottom-sm"
-    [formControl]="textForm"
-    [init]="{
-      apiKey: 'fx28x0d64jeufa35u7mcd80fgveayg5c4ap9gnr6posehzny',
-      menubar: false,
-      plugins: [
-        'advlist autolink lists link image charmap print preview anchor',
-        'searchreplace visualblocks code fullscreen',
-        'insertdatetime media table paste code help wordcount'
-      ],
-      toolbar:
-        'undo redo | formatselect | bold italic backcolor | code | \
-        alignleft aligncenter alignright alignjustify | \
-        bullist numlist outdent indent | removeformat | help'
-    }"
-  ></editor>
-  <mat-error *ngIf="textForm?.touched && textForm?.errors?.required">{{ 'not-found' | translate }}</mat-error>
-  <mat-error *ngIf="textForm?.touched && textForm?.errors?.maxlength">{{
-    'error-message-max-length' | translate: { maxlength: textForm?.errors?.maxlength?.requiredLength }
-  }}</mat-error>
-
-  <mat-form-field class="full-width margin-bottom-sm" appearance="fill" appHandleInputFormErrors>
-    <mat-label>{{ 'ask-question-categories' | translate }}</mat-label>
-    <mat-select [formControl]="categoriesForm" multiple>
-      <mat-option *ngFor="let category of categoriesList$ | async" [value]="category.uid">{{ category.translatedName }}</mat-option>
-    </mat-select>
-  </mat-form-field>
-
-  <app-button [disabled]="questionFormGroup.invalid" [buttonType]="ButtonType.CallToAction" (action)="askQuestionEmit()">
-    {{ 'ask-question-ask-button' | translate }}
-  </app-button>
-</form>
Index: c/Clients/Angular/finki-chattery/src/app/shared-app/components/question/ask-question-shared/ask-question-shared.component.spec.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/ask-question-shared/ask-question-shared.component.spec.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,24 +1,0 @@
-import { ComponentFixture, TestBed } from '@angular/core/testing';
-
-import { AskQuestionSharedComponent } from './ask-question-shared.component';
-
-describe('AskQuestionComponent', () => {
-  let component: AskQuestionSharedComponent;
-  let fixture: ComponentFixture<AskQuestionSharedComponent>;
-
-  beforeEach(async () => {
-    await TestBed.configureTestingModule({
-      declarations: [AskQuestionSharedComponent]
-    }).compileComponents();
-  });
-
-  beforeEach(() => {
-    fixture = TestBed.createComponent(AskQuestionSharedComponent);
-    component = fixture.componentInstance;
-    fixture.detectChanges();
-  });
-
-  it('should create', () => {
-    expect(component).toBeTruthy();
-  });
-});
Index: c/Clients/Angular/finki-chattery/src/app/shared-app/components/question/ask-question-shared/ask-question-shared.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/ask-question-shared/ask-question-shared.component.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,36 +1,0 @@
-import { Component, EventEmitter, OnInit, Output } from '@angular/core';
-import { FormControl, FormGroup, Validators } from '@angular/forms';
-
-import { CategoryFacadeService } from 'src/app/core/state/category-facade.service';
-import { ButtonType } from 'src/app/shared-app/components/generic/button/button.models';
-import { AskQuestionRequest } from 'src/app/shared-app/models';
-
-@Component({
-  selector: 'app-ask-question-shared',
-  templateUrl: './ask-question-shared.component.html',
-  styleUrls: ['./ask-question-shared.component.scss']
-})
-export class AskQuestionSharedComponent implements OnInit {
-  @Output() askQuestion = new EventEmitter<AskQuestionRequest>();
-
-  public titleForm = new FormControl('', [Validators.required, Validators.maxLength(500)]);
-  public textForm = new FormControl('', [Validators.required, Validators.maxLength(4000)]);
-  public categoriesForm = new FormControl([]);
-  public questionFormGroup: FormGroup;
-  public ButtonType = ButtonType;
-  public categoriesList$ = this.categoriesFacade.getCategories();
-
-  constructor(private categoriesFacade: CategoryFacadeService) {
-    this.questionFormGroup = new FormGroup({
-      title: this.titleForm,
-      text: this.textForm,
-      categories: this.categoriesForm
-    });
-  }
-
-  ngOnInit(): void {}
-
-  public askQuestionEmit(): void {
-    this.askQuestion.emit(new AskQuestionRequest(this.titleForm.value, this.textForm.value, this.categoriesForm.value));
-  }
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.html	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.html	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -20,15 +20,5 @@
       </mat-chip-list>
 
-      <editor
-        class="margin-x-sm"
-        [init]="{
-          apiKey: 'fx28x0d64jeufa35u7mcd80fgveayg5c4ap9gnr6posehzny',
-          menubar: false,
-          plugins: ['autoresize'],
-          toolbar: ''
-        }"
-        [disabled]="true"
-        [initialValue]="question.text"
-      ></editor>
+      <div class="margin-top-lg" [innerHTML]="question.text"></div>
       <div class="align-right">
         <app-student-card
@@ -58,15 +48,5 @@
           <app-vote [voteCount]="answer.upvotesCount" [correct]="answer.correctAnswer" fxFlex="6%"></app-vote>
           <div fxFlex="92%">
-            <editor
-              class="margin-x-sm"
-              [init]="{
-                apiKey: 'fx28x0d64jeufa35u7mcd80fgveayg5c4ap9gnr6posehzny',
-                menubar: false,
-                plugins: ['autoresize'],
-                toolbar: ''
-              }"
-              [disabled]="true"
-              [initialValue]="answer.text"
-            ></editor>
+            <div [innerHTML]="answer.text"></div>
             <div class="align-right">
               <app-student-card
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/index.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -4,3 +4,2 @@
 export * from './category-state-view-models.models';
 export * from './question-state-enums.models';
-export * from './questioning-request.models';
Index: c/Clients/Angular/finki-chattery/src/app/shared-app/models/questioning-request.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/questioning-request.models.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ 	(revision )
@@ -1,3 +1,0 @@
-export class AskQuestionRequest {
-  constructor(public title: string, public text: string, public categories: string[]) {}
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/shared-app.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/shared-app.module.ts	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/shared-app.module.ts	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -7,5 +7,4 @@
 import { NgxMaterialTimepickerModule } from 'ngx-material-timepicker';
 import { FileUploadModule } from 'ng2-file-upload';
-import { EditorModule } from '@tinymce/tinymce-angular';
 
 import { COMPONENTS } from './components/components';
@@ -26,6 +25,5 @@
     FlexLayoutModule,
     FileUploadModule,
-    NgxMaterialTimepickerModule,
-    EditorModule
+    NgxMaterialTimepickerModule
   ],
   exports: [
@@ -40,6 +38,5 @@
     DIRECTIVES,
     PIPES,
-    SharedMaterialModule,
-    EditorModule
+    SharedMaterialModule
   ]
 })
Index: src/Clients/Angular/finki-chattery/src/assets/translations/en.json
===================================================================
--- src/Clients/Angular/finki-chattery/src/assets/translations/en.json	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/Clients/Angular/finki-chattery/src/assets/translations/en.json	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -44,9 +44,4 @@
   "questions-preview-question-answers": "Answers",
   "questions-preview-question-views": "Views",
-  "questions-search-title": "Search results for: {{searchQuery}}",
-  "ask-question-question-title": "Question title",
-  "ask-question-categories": "Add categories to question",
-  "ask-question-ask-button": "Ask question",
-  "header-logout": "Logout",
-  "header-ask-question": "Ask question"
+  "questions-search-title": "Search results for: {{searchQuery}}"
 }
Index: src/FinkiChattery/FinkiChattery.Api/Controllers/v1/QuestionsController.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Controllers/v1/QuestionsController.cs	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/FinkiChattery/FinkiChattery.Api/Controllers/v1/QuestionsController.cs	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -29,6 +29,6 @@
         public async Task<IActionResult> AskQuestion([FromBody] AskQuestionRequest request)
         {
-            var questionUid = await MediatorService.SendAsync(new AskQuestionCommand(request.Title, request.Text, request.Categories));
-            return Ok(questionUid);
+            await MediatorService.SendAsync(new AskQuestionCommand(request.Title, request.Text, request.Categories));
+            return Ok();
         }
 
Index: src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionConfig.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionConfig.cs	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/FinkiChattery/FinkiChattery.Persistence/Configurations/QuestionConfig.cs	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -24,5 +24,5 @@
             builder.Property(x => x.Views).HasColumnName(@"Views").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
             builder.Property(x => x.LastActiveOn).HasColumnName(@"LastActiveOn").HasColumnType("smalldatetime").IsRequired();
-            builder.Property(x => x.Search).HasComputedColumnSql(@"Search").HasColumnType("nvarchar").ValueGeneratedOnAddOrUpdate().HasMaxLength(4000).IsRequired();
+            builder.Property(x => x.Search).HasColumnType(@"Search").HasColumnType("nvarchar").HasMaxLength(4000).IsRequired();
             builder.Property(x => x.AnswersCount).HasColumnType(@"AnswersCount").HasColumnType("bigint").IsRequired().HasDefaultValue(0);
 
Index: src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs	(revision 6b0fbbe1693875cc18ad07d4031d593201a8ee62)
+++ src/FinkiChattery/FinkiChattery.Persistence/Models/Question.cs	(revision 78992098dd901f0b6b6394b8df600db773e3ba22)
@@ -1,5 +1,4 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.ComponentModel.DataAnnotations.Schema;
 
 namespace FinkiChattery.Persistence.Models
@@ -33,5 +32,4 @@
         public DateTime LastActiveOn { get; set; }
 
-        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
         public string Search { get; set; }
 