Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-facade.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-facade.service.ts	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-facade.service.ts	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -2,5 +2,5 @@
 import { Injectable } from '@angular/core';
 import { Action, Store } from '@ngrx/store';
-import { Observable, Subject, throwError } from 'rxjs';
+import { Observable, throwError } from 'rxjs';
 import { catchError, filter, map } from 'rxjs/operators';
 
@@ -25,6 +25,4 @@
 })
 export class QuestionFacadeService {
-  private questionSearchedSubject = new Subject<any>();
-
   effectWorking$: Observable<boolean | HttpErrorResponse>;
 
@@ -43,8 +41,4 @@
       })
     );
-  }
-
-  public questionSearched(): Observable<void> {
-    return this.questionSearchedSubject.asObservable();
   }
 
@@ -87,5 +81,4 @@
   public searchQuestions(searchText: string, categories: string[]): void {
     this.dispatchEffect(new GetSearchQuestions(searchText, categories));
-    this.questionSearchedSubject.next(Math.random());
   }
 
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.html	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.html	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -1,2 +1,3 @@
+<app-search-question (searched)="routeToSearch()"></app-search-question>
 <div class="margin-x-lg">
   <h1 class="mat-headline">{{ 'questions-preview' | translate }}</h1>
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.ts	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-preview-general/questions-preview-general.component.ts	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -2,4 +2,5 @@
 import { FormControl } from '@angular/forms';
 import { Router } from '@angular/router';
+import { CategoryFacadeService } from 'src/app/core/state/category-facade.service';
 import { QuestionFacadeService } from 'src/app/core/state/question-facade.service';
 import { CategoryStateViewModel, PreviewQuestionsOrderEnum } from 'src/app/shared-app/models';
@@ -29,8 +30,4 @@
       }
     });
-
-    this.questionFacade.questionSearched().subscribe(() => {
-      this.router.navigateByUrl('questioning/search');
-    });
   }
 
@@ -38,3 +35,7 @@
     this.router.navigateByUrl(`questioning/${uid}`);
   }
+
+  routeToSearch(): void {
+    this.router.navigateByUrl(`questioning/search`);
+  }
 }
Index: src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-search/questions-search.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-search/questions-search.component.html	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/modules/questioning/components/questions-search/questions-search.component.html	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -1,2 +1,3 @@
+<app-search-question></app-search-question>
 <div class="margin-x-lg">
   <h1 class="mat-headline">{{ 'questions-search-title' | translate: { searchQuery: (searchQuestionsQuery$ | async)?.text } }}</h1>
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.html	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -1,16 +1,10 @@
 <mat-toolbar>
-  <mat-toolbar-row>
-    <span class="cursor" (click)="navigateFromLogo()">FinkiChattery</span>
-    <span class="right"></span>
-
-    <app-button class="margin-y-xs" *ngIf="auth.isStudent()" (action)="askQuestion()" [buttonType]="ButtonType.CallToAction">{{
-      'header-ask-question' | translate
-    }}</app-button>
-    <app-button class="margin-y-xs" *ngIf="auth.isLoggedIn()" (action)="logout()" [buttonType]="ButtonType.Basic">{{
-      'header-logout' | translate
-    }}</app-button>
-  </mat-toolbar-row>
-  <mat-toolbar-row *ngIf="auth.isStudent()">
-    <app-search-question class="search-questions"></app-search-question>
-  </mat-toolbar-row>
+  <span>FinkiChattery</span>
+  <span class="right"></span>
+  <app-button class="margin-y-xs" *ngIf="auth.isStudent()" (action)="askQuestion()" [buttonType]="ButtonType.CallToAction">{{
+    'header-ask-question' | translate
+  }}</app-button>
+  <app-button class="margin-y-xs" *ngIf="auth.isLoggedIn()" (action)="logout()" [buttonType]="ButtonType.Basic">{{
+    'header-logout' | translate
+  }}</app-button>
 </mat-toolbar>
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.scss
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.scss	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.scss	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -2,14 +2,2 @@
   flex: 1 1 auto;
 }
-
-.search-questions {
-  width: 60%;
-  margin: auto;
-}
-
-@media only screen and (max-width: 600px) {
-  .search-questions {
-    width: 100%;
-    margin: 0;
-  }
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/header/header.component.ts	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -23,9 +23,3 @@
     this.router.navigateByUrl('questioning/ask');
   }
-
-  navigateFromLogo(): void {
-    if (this.auth.isStudent()) {
-      this.router.navigateByUrl('questioning/preview');
-    }
-  }
 }
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.html	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.html	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -1,5 +1,5 @@
-<mat-expansion-panel [(expanded)]="isExpanded">
-  <mat-expansion-panel-header>
-    <mat-form-field class="full-width" appearance="standard">
+<mat-card>
+  <mat-card-content>
+    <mat-form-field class="full-width" appearance="fill" appHandleInputFormErrors>
       <input
         [placeholder]="'questions-preview-find-question' | translate"
@@ -7,19 +7,22 @@
         autocomplete="off"
         [formControl]="questionSearchFormContor"
-        (keydown.Space)="$event.stopPropagation()"
+        (keydown)="searchQuestionsKeyboard($event)"
       />
+      <mat-icon matSuffix>search</mat-icon>
     </mat-form-field>
-  </mat-expansion-panel-header>
-  <mat-form-field appearance="standard" class="margin-right-md">
-    <mat-select
-      [formControl]="questionCategoriesFormContor"
-      multiple
-      [placeholder]="'questions-preview-find-question-categories' | translate"
-    >
-      <mat-option *ngFor="let category of categories$ | async" [value]="category.uid">{{ category.translatedName }}</mat-option>
-    </mat-select>
-  </mat-form-field>
-  <app-button [buttonType]="ButtonType.CallToAction" [disabled]="questionSearchFormContor.invalid" (action)="searchQuestions()">{{
-    'questions-search' | translate
-  }}</app-button>
-</mat-expansion-panel>
+    <mat-form-field class="full-width" appearance="fill">
+      <mat-select
+        [formControl]="questionCategoriesFormContor"
+        multiple
+        [placeholder]="'questions-preview-find-question-categories' | translate"
+      >
+        <mat-option *ngFor="let category of categories$ | async" [value]="category.uid">{{ category.translatedName }}</mat-option>
+      </mat-select>
+    </mat-form-field>
+  </mat-card-content>
+  <mat-card-actions>
+    <app-button [buttonType]="ButtonType.CallToAction" [disabled]="questionSearchFormContor.invalid" (action)="searchQuestions()">{{
+      'questions-search' | translate
+    }}</app-button>
+  </mat-card-actions>
+</mat-card>
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.scss
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.scss	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.scss	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -1,7 +1,0 @@
-mat-form-field {
-  font-size: initial !important;
-}
-
-mat-expansion-panel {
-  z-index: 1;
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.ts	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/search-question/search-question.component.ts	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -1,3 +1,3 @@
-import { Component, OnInit } from '@angular/core';
+import { Component, EventEmitter, OnInit, Output } from '@angular/core';
 import { FormControl, Validators } from '@angular/forms';
 
@@ -12,9 +12,10 @@
 })
 export class SearchQuestionComponent implements OnInit {
+  @Output() searched = new EventEmitter();
+
   ButtonType = ButtonType;
   questionSearchFormContor = new FormControl('', [Validators.required, Validators.maxLength(250)]);
   questionCategoriesFormContor = new FormControl();
   categories$ = this.categoriesFacade.getCategories();
-  isExpanded = false;
 
   constructor(private categoriesFacade: CategoryFacadeService, private questionsFacade: QuestionFacadeService) {}
@@ -22,9 +23,13 @@
   ngOnInit(): void {}
 
+  public searchQuestionsKeyboard(event: KeyboardEvent): void {
+    if (event.code === 'enter') {
+      this.searchQuestions();
+    }
+  }
+
   public searchQuestions(): void {
-    this.isExpanded = false;
     this.questionsFacade.searchQuestions(this.questionSearchFormContor.value, this.questionCategoriesFormContor.value);
-    this.questionSearchFormContor.reset();
-    this.questionCategoriesFormContor.reset();
+    this.searched.emit();
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/shared-material/shared-material.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-material/shared-material.module.ts	(revision 806f4eeff9ed8c99e0abc6d3650e6b16300e72ba)
+++ src/Clients/Angular/finki-chattery/src/app/shared-material/shared-material.module.ts	(revision 202581058a1067ec140d7d90d2ec2f1028ba2006)
@@ -25,5 +25,4 @@
 import { MatBadgeModule } from '@angular/material/badge';
 import { MatStepperModule } from '@angular/material/stepper';
-import { MatExpansionModule } from '@angular/material/expansion';
 
 @NgModule({
@@ -52,6 +51,5 @@
     MatButtonToggleModule,
     MatBadgeModule,
-    MatStepperModule,
-    MatExpansionModule
+    MatStepperModule
   ],
   exports: [
@@ -78,6 +76,5 @@
     MatButtonToggleModule,
     MatBadgeModule,
-    MatStepperModule,
-    MatExpansionModule
+    MatStepperModule
   ]
 })