Index: src/main/java/com/example/moviezone/config/WebSecurityConfig.java
===================================================================
--- src/main/java/com/example/moviezone/config/WebSecurityConfig.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/config/WebSecurityConfig.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -9,8 +9,10 @@
 import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
 import org.springframework.security.crypto.password.PasswordEncoder;
+import org.springframework.web.servlet.config.annotation.EnableWebMvc;
 
 
 @Configuration
 @EnableWebSecurity
+@EnableWebMvc
 @EnableGlobalMethodSecurity(securedEnabled = true, prePostEnabled = true)
 public class WebSecurityConfig extends WebSecurityConfigurerAdapter {
@@ -42,4 +44,5 @@
                 .logout()
                 .logoutUrl("/logout")
+                .clearAuthentication(true)
                 .invalidateHttpSession(true)
                 .deleteCookies("JSESSIONID")
Index: src/main/java/com/example/moviezone/model/Category.java
===================================================================
--- src/main/java/com/example/moviezone/model/Category.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Category.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,8 +1,16 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.management.relation.Role;
+import javax.persistence.*;
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
+
 
 import java.util.Objects;
Index: src/main/java/com/example/moviezone/model/Cinema.java
===================================================================
--- src/main/java/com/example/moviezone/model/Cinema.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Cinema.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,8 +1,10 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
+
+import javax.persistence.*;
+
 
 @Entity
Index: src/main/java/com/example/moviezone/model/Customer.java
===================================================================
--- src/main/java/com/example/moviezone/model/Customer.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Customer.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,15 +1,17 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.Entity;
-import jakarta.persistence.PrimaryKeyJoinColumn;
-import jakarta.persistence.Table;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
+import org.hibernate.Hibernate;
 import org.springframework.security.core.GrantedAuthority;
 
+import javax.persistence.Entity;
+import javax.persistence.PrimaryKeyJoinColumn;
+import javax.persistence.Table;
+import java.time.LocalDate;
 import java.util.Collection;
 import java.util.Collections;
-
+import java.util.Objects;
 @Entity
 @Getter
Index: src/main/java/com/example/moviezone/model/Discount.java
===================================================================
--- src/main/java/com/example/moviezone/model/Discount.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Discount.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,10 +1,16 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
 
+import javax.management.relation.Role;
+import javax.persistence.*;
 import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
+
 
 @Entity
Index: src/main/java/com/example/moviezone/model/Event.java
===================================================================
--- src/main/java/com/example/moviezone/model/Event.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Event.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,8 +1,10 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
+
+import javax.persistence.*;
+
 
 import java.time.LocalDate;
Index: src/main/java/com/example/moviezone/model/Film.java
===================================================================
--- src/main/java/com/example/moviezone/model/Film.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Film.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,8 +1,10 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
+
+import javax.persistence.*;
+
 
 import java.time.LocalDate;
Index: src/main/java/com/example/moviezone/model/Projection.java
===================================================================
--- src/main/java/com/example/moviezone/model/Projection.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Projection.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -2,5 +2,5 @@
 
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
Index: src/main/java/com/example/moviezone/model/Projection_Room.java
===================================================================
--- src/main/java/com/example/moviezone/model/Projection_Room.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Projection_Room.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -2,5 +2,5 @@
 
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
Index: src/main/java/com/example/moviezone/model/Salary.java
===================================================================
--- src/main/java/com/example/moviezone/model/Salary.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Salary.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,5 +1,5 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
Index: src/main/java/com/example/moviezone/model/Seat.java
===================================================================
--- src/main/java/com/example/moviezone/model/Seat.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Seat.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,5 +1,5 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
Index: src/main/java/com/example/moviezone/model/Ticket.java
===================================================================
--- src/main/java/com/example/moviezone/model/Ticket.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Ticket.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,9 +1,10 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
 import lombok.ToString;
 
+import java.math.BigInteger;
 import java.time.LocalDate;
 import java.time.LocalDateTime;
@@ -18,7 +19,7 @@
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    Integer id_ticket;
+    int id_ticket;
 
-    Integer price;
+    long price;
     LocalDate date_reserved;
 
Index: src/main/java/com/example/moviezone/model/User.java
===================================================================
--- src/main/java/com/example/moviezone/model/User.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/User.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,5 +1,5 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
+
 import lombok.Getter;
 import lombok.Setter;
@@ -9,4 +9,5 @@
 
 import javax.management.relation.Role;
+import javax.persistence.*;
 import java.time.LocalDate;
 import java.time.LocalDateTime;
Index: src/main/java/com/example/moviezone/model/Work_Hours_Weekly.java
===================================================================
--- src/main/java/com/example/moviezone/model/Work_Hours_Weekly.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Work_Hours_Weekly.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,5 +1,5 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
Index: src/main/java/com/example/moviezone/model/Worker.java
===================================================================
--- src/main/java/com/example/moviezone/model/Worker.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/Worker.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,5 +1,5 @@
 package com.example.moviezone.model;
 
-import jakarta.persistence.*;
+import javax.persistence.*;
 import lombok.Getter;
 import lombok.Setter;
Index: src/main/java/com/example/moviezone/model/manytomany/CinemaOrganizesEvent.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/CinemaOrganizesEvent.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/manytomany/CinemaOrganizesEvent.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,9 +1,16 @@
 package com.example.moviezone.model.manytomany;
-
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.RequiredArgsConstructor;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.management.relation.Role;
+import javax.persistence.*;
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
+
 
 @Entity
Index: src/main/java/com/example/moviezone/model/manytomany/CinemaPlaysFilm.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/CinemaPlaysFilm.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/manytomany/CinemaPlaysFilm.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,9 +1,16 @@
 package com.example.moviezone.model.manytomany;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.RequiredArgsConstructor;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.management.relation.Role;
+import javax.persistence.*;
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
 
 @Entity
Index: src/main/java/com/example/moviezone/model/manytomany/CustomerIsInterestedInEvent.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/CustomerIsInterestedInEvent.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/manytomany/CustomerIsInterestedInEvent.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,9 +1,17 @@
 package com.example.moviezone.model.manytomany;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.RequiredArgsConstructor;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.management.relation.Role;
+import javax.persistence.*;
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
+
 
 @Entity
Index: src/main/java/com/example/moviezone/model/manytomany/CustomerRatesFilm.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/CustomerRatesFilm.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/manytomany/CustomerRatesFilm.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,9 +1,15 @@
 package com.example.moviezone.model.manytomany;
-
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.RequiredArgsConstructor;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.management.relation.Role;
+import javax.persistence.*;
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
 
 @Entity
Index: src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoom.java
===================================================================
--- src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoom.java	(revision eb226b2e3140fe1a668383678034f66db359157b)
+++ src/main/java/com/example/moviezone/model/manytomany/ProjectionIsPlayedInRoom.java	(revision 22696530547307d6f3cc12f13676289867e86a87)
@@ -1,9 +1,16 @@
 package com.example.moviezone.model.manytomany;
 
-import jakarta.persistence.*;
 import lombok.Getter;
 import lombok.RequiredArgsConstructor;
 import lombok.Setter;
 import lombok.ToString;
+import org.springframework.security.core.GrantedAuthority;
+import org.springframework.security.core.userdetails.UserDetails;
+
+import javax.management.relation.Role;
+import javax.persistence.*;
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.util.Collection;
 
 @Entity