Index: src/main/resources/templates/projections.html
===================================================================
--- src/main/resources/templates/projections.html	(revision 302b2331a2005f1cb14812a328198fed9ad0d69c)
+++ src/main/resources/templates/projections.html	(revision 365031636ea90dd3f8000da3e80f1eea61c5e91f)
@@ -1,10 +1,222 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Title</title>
-</head>
-<body>
-
-</body>
-</html>
+<style xmlns:sec="http://www.w3.org/1999/xhtml">
+    @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
+
+
+    *{
+        font-family: 'Poppins', sans-serif;
+    }
+
+
+    .container{
+
+        position: relative;
+    }
+
+    .container .card{
+        position: relative;
+        width: 250px;
+        height: 300px;
+        background: #232323;
+        border-radius: 20px;
+        overflow: hidden;
+    }
+
+    .container .card:before{
+        content: '';
+        position: absolute;
+        top: 0;
+        left: 0;
+        width: 100%;
+        height: 100%;
+        background: black;
+        transition: 0.5s ease-in-out;
+    }
+
+
+    .container .card:after{
+        position: absolute;
+
+        font-size: 6em;
+        font-weight: 600;
+        font-style: italic;
+        color: rgba(255,255,25,0.05)
+    }
+
+    .container .card .imgBx{
+        position: absolute;
+        width: 100%;
+        height: 300px;
+        transition: 0.5s;
+    }
+
+    .container .card:hover .imgBx{
+        top: 0%;
+
+    }
+
+    .container .card .imgBx img{
+        position: absolute;
+        width: 100%;
+    }
+
+    .container .card .contentBx{
+        position: absolute;
+        bottom: 0;
+        width: 100%;
+        height: 300px;
+        text-align: center;
+        transition: 1s;
+        z-index: 10;
+    }
+
+    .container .card:hover .contentBx{
+        height: 300px;
+    }
+
+    .container .card .contentBx h2{
+        position: relative;
+        font-weight: 300;
+        letter-spacing: 1px;
+        color: #fff;
+        margin: 0;
+    }
+
+    .container .card .contentBx .size, .container .card .contentBx .color, .container .card .contentBx .button {
+        display: flex;
+        justify-content: start;
+        align-items: start;
+        padding: 8px 20px;
+        transition: 0.5s;opacity: 0;
+        visibility: hidden;
+        padding-top: 0;
+        padding-bottom: 0;
+    }
+
+    .container .card .contentBx .button {
+        display: flex;
+        justify-content: center;
+        align-items: center;
+        padding: 8px 20px;
+        transition: 0.5s;opacity: 0;
+        visibility: hidden;
+        padding-top: 0;
+        padding-bottom: 0;
+    }
+    .container .card:hover .contentBx .size{
+        opacity: 1;
+        visibility: visible;
+        transition-delay: 0.5s;
+    }
+    .container .card:hover .contentBx .button{
+        opacity: 1;
+        visibility: visible;
+        transition-delay: 0.5s;
+    }
+
+    .container .card:hover .contentBx .color{
+        opacity: 1;
+        visibility: visible;
+        transition-delay: 0.6s;
+    }
+
+    .container .card .contentBx .size h3, .container .card .contentBx .color h3{
+        color: #fff;
+        font-weight: 600;
+        font-size: 8px;
+        text-transform: uppercase;
+        letter-spacing: 2px;
+        margin-right: 10px;
+    }
+
+    .container .card .contentBx .size span{
+        width: 26px;
+        height: 26px;
+        text-align: center;
+        line-height: 26px;
+        font-size: 8px;
+        display: inline-block;
+        color: #111;
+        background: #fff;
+        margin: 0 5px;
+        transition: 0.5s;
+        color: #111;
+        border-radius: 4px;
+        cursor: pointer;
+    }
+
+
+
+    .container .card .contentBx .color span{
+        width: 100%;
+        height: 20px;
+        color: white;
+        margin: 0 5px;
+        cursor: pointer;
+    }
+
+
+    .container .card .contentBx a{
+        display: inline-block;
+        padding: 10px 20px;
+        background: #fff;
+        border-radius: 4px;
+        margin-top: 10px;
+        text-decoration: none;
+        font-weight: 600;
+        color: #111;
+        opacity: 0;
+        transform: translateY(50px);
+        transition: 0.5s;
+        margin-top: 0;
+    }
+
+    .container .card:hover .contentBx a{
+        opacity: 1;
+        transition-delay: 0.75s;
+
+    }
+    .main{
+        margin-top: 100px;
+        display: flex;
+        align-items: flex-start;
+        justify-content: flex-start;
+    }
+    .button {
+        top:250px;
+        background-color: white;
+        border: none;
+        color: black;
+        padding: 10px 20px;
+        text-align: center;
+        text-decoration: none;
+        display: inline-block;
+        font-size: 16px;
+        border-radius: 20px;
+    }
+</style>
+<div xmlns:th="http://www.thymeleaf.org">
+    <div class="main">
+
+<!--<div th:each="projection: ${projections}">-->
+
+        <div th:each="projection: ${projections}" class="container">
+            <div class="card">
+                <div class="imgBx">
+                    <img th:src="@{${projection.film.getUrl()}}"/>
+                </div>
+                <div class="contentBx">
+                    <h2  th:text="${projection.film.getName()}"></h2>
+                    <div class="size">
+                        <h3>Duration :</h3>
+                        <span th:text="${projection.film.getDuration()}"></span>
+                    </div>
+                    <div class="color">
+                        <h3>Genre:</h3>
+                        <span th:text="${projection.film.getGenre()}"></span>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+    </div>
+</div>