Index: src/main/java/it/finki/tinki/repository/AddressRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/AddressRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/AddressRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,11 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Address;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+import java.util.List;
+
+@Repository
+public interface AddressRepository extends JpaRepository<Address, Long> {
+}
Index: src/main/java/it/finki/tinki/repository/CompanyRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/CompanyRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/CompanyRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,9 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Users.Company;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+@Repository
+public interface CompanyRepository extends JpaRepository<Company, Long> {
+}
Index: src/main/java/it/finki/tinki/repository/InternshipRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/InternshipRepository.java	(revision e6ff7241c31091c3de6c6687022e758bec6738ec)
+++ src/main/java/it/finki/tinki/repository/InternshipRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -4,7 +4,9 @@
 import it.finki.tinki.model.Jobs.Work;
 import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
 
 import java.util.List;
 
+@Repository
 public interface InternshipRepository extends JpaRepository<Internship, Long> {
     List<Internship> findAllByAccount_Id(Long accountId);
Index: src/main/java/it/finki/tinki/repository/JobRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/JobRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/JobRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,12 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Jobs.Job;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+import java.util.List;
+
+@Repository
+public interface JobRepository extends JpaRepository<Job, Long>{
+    List<Job> findAllByAccount_Id(Long accountId);
+}
Index: src/main/java/it/finki/tinki/repository/MatchRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/MatchRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/MatchRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,9 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Match;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+@Repository
+public interface MatchRepository extends JpaRepository<Match, Long> {
+}
Index: src/main/java/it/finki/tinki/repository/ProjectRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/ProjectRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/ProjectRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,12 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Jobs.Project;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+import java.util.List;
+
+@Repository
+public interface ProjectRepository extends JpaRepository<Project, Long> {
+    List<Project> findAllByAccount_Id(Long accountId);
+}
Index: src/main/java/it/finki/tinki/repository/SkillRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/SkillRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/SkillRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,9 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Skill;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+@Repository
+public interface SkillRepository extends JpaRepository<Skill, Long> {
+}
Index: src/main/java/it/finki/tinki/repository/TeamRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/TeamRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/TeamRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,9 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Users.Team;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+@Repository
+public interface TeamRepository extends JpaRepository<Team, Long> {
+}
Index: src/main/java/it/finki/tinki/repository/UserRepository.java
===================================================================
--- src/main/java/it/finki/tinki/repository/UserRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
+++ src/main/java/it/finki/tinki/repository/UserRepository.java	(revision 79874571743da1b771ee751dfa06e8c0289e582f)
@@ -0,0 +1,9 @@
+package it.finki.tinki.repository;
+
+import it.finki.tinki.model.Users.User;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+@Repository
+public interface UserRepository extends JpaRepository<User, Long> {
+}