Index: src/main/resources/static/css/admin.css
===================================================================
--- src/main/resources/static/css/admin.css	(revision 905079022f7186a4860b626d48726296b486025f)
+++ src/main/resources/static/css/admin.css	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -0,0 +1,3 @@
+header {
+    margin-bottom: 20px !important;
+}
Index: src/main/resources/static/js/admin.js
===================================================================
--- src/main/resources/static/js/admin.js	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/resources/static/js/admin.js	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -1,3 +1,55 @@
 $(document).ready(function() {
+    var companies = {};
 
+    $.ajax({
+       url: "http://localhost:8080/api/business"
+    }).then(function (data) {
+        companies = data;
+        var $el = $("#table_body");
+
+        $.each(data, function (index, obj) {
+            if(obj.businessStatus == "NEW" || obj.businessStatus == "DEACTIVATED") {
+                $el.append("<tr>\n" +
+                    "            <th scope=\"row\">" + obj.id + "</th>\n" +
+                    "            <td>" + obj.companyName + "</td>\n" +
+                    "            <td>" + obj.owner.firstName + " " + obj.owner.lastName + "</td>\n" +
+                    "            <td><input class=\"form-check-input\" type=\"checkbox\" value=\"" + obj.id +"\"></td>\n" +
+                    "        </tr>")
+            }
+            if (obj.businessStatus == "ACTIVE") {
+                $el.append("<tr>\n" +
+                    "            <th scope=\"row\">" + obj.id + "</th>\n" +
+                    "            <td>" + obj.companyName + "</td>\n" +
+                    "            <td>" + obj.owner.firstName + " " + obj.owner.lastName + "</td>\n" +
+                    "            <td><input class=\"form-check-input\" type=\"checkbox\" checked value=\"" + obj.id +"\"></td>\n" +
+                    "        </tr>")
+            }
+        });
+    });
+
+    $('#save_button').click(function () {
+        $.each($('#table_body tr'), function(index, row) {
+            if(companies[index].businessStatus == "NEW" &&  $($($(row).children() [3]).children()[0]).is(':checked')) {
+                companies[index]['businessStatus'] = 'ACTIVE';
+            }
+            if(companies[index].businessStatus == "ACTIVE" && ! $($($(row).children() [3]).children()[0]).is(':checked')) {
+                companies[index]['businessStatus'] = 'DEACTIVATED';
+            }
+        });
+        console.log(JSON.stringify(companies));
+        $.ajax({
+            url: "http://localhost:8080/api/business",
+            type:"PATCH",
+            data: JSON.stringify(companies),
+            contentType:"application/json; charset=utf-8",
+            dataType: 'text',
+            success: function(succ){
+                alert( "Updates applied successfully" );
+            },
+            error: function(err) {
+                alert(err);
+            }
+        });
+        event.preventDefault();
+    });
 });
Index: src/main/resources/static/js/register_business.js
===================================================================
--- src/main/resources/static/js/register_business.js	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/resources/static/js/register_business.js	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -42,13 +42,4 @@
         // clear the input
         $("#input_service").val('');
-
-        /*$("#predefined_services").append(
-            '<div class="form-check">\n' +
-            '    <input class="form-check-input" type="checkbox" checked value=\"' + -1 + '\" id=\"'+ -1 +'\">\n' +
-            '        <label class="form-check-label" for=\"' + -1 + '\">\n' +
-            input_service +
-            '         </label>\n' +
-            '    </div>'
-        );*/
 
         $("#predefined_services").append(
Index: src/main/resources/templates/admin.html
===================================================================
--- src/main/resources/templates/admin.html	(revision 46fd0c7386f67547f6b1e9764cb7ea68cd35f8fc)
+++ src/main/resources/templates/admin.html	(revision 905079022f7186a4860b626d48726296b486025f)
@@ -2,16 +2,45 @@
 <html lang="en">
 <head>
-  <title>Schedlr</title>
+    <title>Schedlr</title>
 
-  <meta charset="utf-8"/>
-  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
+    <meta charset="utf-8"/>
+    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
 
-  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
-        integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
+    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
+          integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
+    <link href="css/admin.css" rel="stylesheet"/>
 </head>
 <body>
-ADMIN
+<!-- Navbar start -->
+<header class="p-3 mb-3 border-bottom">
+    <div class="container">
+        <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
+            Welcome to the admin page
+        </div>
+    </div>
+</header>
 
+<div class="container">
 
+    <h3>Current companies</h3>
+    <!-- Navbar end -->
+    <table class="table table-striped" id="new_table">
+        <thead class="thead-dark">
+        <tr>
+            <th scope="col">Id</th>
+            <th scope="col">Name</th>
+            <th scope="col">Owner</th>
+            <th scope="col">Active</th>
+        </tr>
+        </thead>
+        <tbody id="table_body">
+        </tbody>
+    </table>
+
+    <!-- Submit button -->
+    <button type="buttom" class="btn btn-primary btn-block mb-4" id="save_button">
+        Save changes
+    </button>
+</div>
 <!-- jQuery library -->
 <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"